ITBulletin

Security Corner

IE Security Vulnerability

Tuesday, April 29, 2014

As a follow up to all the recent press related to the Microsoft Internet Explorer (IE) security issue, ITS recommends using Firefox for access to external websites at least until MS releases a patch for this vulnerability.  Some UNCW applications require the use of IE.  If your work requires the use of these applications continue to use IE for UNCW applications.